ConnectionNotFoundException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.io
Class ConnectionNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  javax.microedition.io.ConnectionNotFoundException

    @TransactionType(value=NOT_SUPPORTED)
    public class ConnectionNotFoundException

extends IOException

This class is used to signal that a connection target cannot be found, or the protocol type is not supported.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  CLDC 1.0, Java Card 3.0

Constructor Summary
`ConnectionNotFoundException()` Constructs a ConnectionNotFoundException with no detail message.
`ConnectionNotFoundException(String s)` Constructs a ConnectionNotFoundException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionNotFoundException

    public ConnectionNotFoundException()

  Constructs a ConnectionNotFoundException with no detail message.

### ConnectionNotFoundException

    public ConnectionNotFoundException(String s)

  Constructs a ConnectionNotFoundException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the detail message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.